#pragma once

#define PASSMAN_ECHO   1
#define PASSMAN_NOECHO 0

#define PASSMAN_MAX_STR          256
#define PASSMAN_MAX_PATH        4096
#define PASSMAN_SALT_LEN          32
#define PASSMAN_MAX_ENTRIES      256
#define PASSMAN_MAX_LOG_DATA     128
#define PASSMAN_MAX_LOG_ENTRIES 8192

#define PASSMAN_MODE_NONE 0
#define PASSMAN_MODE_INIT 1
#define PASSMAN_MODE_ADD  2
#define PASSMAN_MODE_DEL  3
#define PASSMAN_MODE_GET  4
#define PASSMAN_MODE_LIST 5
#define PASSMAN_MODE_LOG  6
#define PASSMAN_MODE_HELP 7

#define PASSMAN_ITER_MIN  10000
#define PASSMAN_ITER_MAX 100000

#define PASSMAN_YEAR    "2024"
#define PASSMAN_VERSION "1.0"
#define PASSMAN_LICENSE "GPLv3"
